Skip to main content
GET
/
v2
/
rewards
/
{reward_id}
Retrieve a reward
curl --request GET \
  --url https://dev.sbx.imprint.co/v2/rewards/{reward_id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://dev.sbx.imprint.co/v2/rewards/{reward_id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://dev.sbx.imprint.co/v2/rewards/{reward_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "2EE24580-B97B-4949-A65C-929CCB9B9B8D",
  "customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
  "amount": 123,
  "type": "TRANSACTIONAL",
  "status": "PENDING",
  "created_at": "2025-02-13T19:08:07.000Z",
  "transaction_event_id": "E777214A-2D11-4CAD-9E8F-E1BD71D9FE67",
  "currency": "POINTS",
  "updated_at": "2025-02-13T19:08:07.000Z",
  "metadata": {
    "platform_version": "2.1.0"
  }
}
{
"type": "REWARD_NOT_FOUND_ERROR",
"message": "Reward not found for provided ID: pymd_123",
"param": "reward_id"
}

Authorizations

Authorization
string
header
required

Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>

Path Parameters

reward_id
string
required

The unique identifier for the reward

Example:

"B552A4A1-9B31-4414-8AEE-E735A8652EDA"

Response

Reward retrieved successfully

id
string
required
Example:

"2EE24580-B97B-4949-A65C-929CCB9B9B8D"

customer_id
string
required
Example:

"9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4"

amount
integer
required

reward amount in min units.

type
enum<string>
required
Available options:
OFFER,
TRANSACTIONAL,
ONE_TIME,
STATEMENT,
REFERRAL
Example:

"TRANSACTIONAL"

status
enum<string>
required
Available options:
PENDING,
AVAILABLE,
PENDING_DEDUCTION,
DEDUCTED
Example:

"PENDING"

created_at
string
required

the RFC-3339 timestamp when the reward was created

Example:

"2025-02-13T19:08:07.000Z"

transaction_event_id
string

transaction that generated this reward, if applicable.

Example:

"E777214A-2D11-4CAD-9E8F-E1BD71D9FE67"

currency
string

The 3-character currency code of the amount in ISO 4217 format (e.g., "USD") or a reward unit (e.g., "POINTS")

Example:

"POINTS"

updated_at
string

the RFC-3339 timestamp when the reward was last updated

Example:

"2025-02-13T19:08:07.000Z"

metadata
object
Example:
{ "platform_version": "2.1.0" }